using Journal.Core.Dtos;

namespace Journal.Core.Services.Lists;

public interface IListService
{
    List<ListDocumentDto> GetAll();
    ListDocumentDto? GetById(Guid id);
    ListDocumentDto Create(CreateListDto dto);
    bool Update(Guid id, UpdateListDto dto);
    bool Remove(Guid id);
}
